CoinUtils 2.10.15

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros | Typedefs | Functions
Coin_C_defines.h File Reference

Go to the source code of this file.

## Macros
#define | COINLIBAPI
| This has #defines etc for the "C" interface to Coin. More...
#define | COINLINKAGE
#define | COINLINKAGE_CB

## Typedefs
typedef void | Clp_Simplex
| User does not need to see structure of model but C++ code does. More...
typedef int | msgno
typedef int int | ndouble
typedef int int const double * | dvec
typedef int int const double int | nint
typedef int int const double int const int * | ivec
typedef int int const double int const int int | nchar
typedef int int const double int const int int char ** | cvec
typedef void | Sbb_Model
| User does not need to see structure of model but C++ code does. More...
typedef void | Cbc_Model
typedef int | CoinBigIndex

## Functions
typedef | void (COINLINKAGE_CB *clp_callback)(Clp_Simplex *model
| typedef for user call back. More...

## Macro Definition Documentation

#define COINLIBAPI

This has #defines etc for the "C" interface to Coin.

If COIN_EXTERN_C defined then an extra extern C

Definition at line 43 of file Coin_C_defines.h.

#define COINLINKAGE

Definition at line 45 of file Coin_C_defines.h.

#define COINLINKAGE_CB

Definition at line 46 of file Coin_C_defines.h.

## Typedef Documentation

typedef void Clp_Simplex

User does not need to see structure of model but C++ code does.

Definition at line 59 of file Coin_C_defines.h.

typedef int msgno

Definition at line 65 of file Coin_C_defines.h.

typedef int int ndouble

Definition at line 65 of file Coin_C_defines.h.

typedef int int const double * dvec

Definition at line 65 of file Coin_C_defines.h.

typedef int int const double int nint

Definition at line 65 of file Coin_C_defines.h.

typedef int int const double int const int * ivec

Definition at line 65 of file Coin_C_defines.h.

typedef int int const double int const int int nchar

Definition at line 65 of file Coin_C_defines.h.

typedef int int const double int const int int char ** cvec

Definition at line 65 of file Coin_C_defines.h.

typedef void Sbb_Model

User does not need to see structure of model but C++ code does.

Definition at line 80 of file Coin_C_defines.h.

typedef void Cbc_Model

Definition at line 92 of file Coin_C_defines.h.

typedef int CoinBigIndex

Definition at line 105 of file Coin_C_defines.h.

## Function Documentation

typedef void | ( | COINLINKAGE_CB * | sbb_callback | ) |

typedef for user call back.

The cvec are constructed so don't need to be const